import dynamix_sdk.base as _base


class CloudapiComputeAffinityLabelSetResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAffinityLabelSetProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def affinity_label_set(
        self,
        *,
        vm_id: int,
        affinity_label: str,
    ) -> CloudapiComputeAffinityLabelSetResultBool:
        ...
